package de.avatic.lcc.dto.generic;

import com.fasterxml.jackson.annotation.JsonProperty;

public class PropertyDTO {

    private String name;

    @JsonProperty("external_mapping_id")
    private String externalMappingId;

    @JsonProperty("is_required")
    private Boolean isRequired;

    @JsonProperty("data_type")
    private String dataType;

    @JsonProperty("current_value")
    private String currentValue;

    @JsonProperty("draft_value")
    private String draftValue;

    @JsonProperty("validation_rule")
    private String validationRule;

    @JsonProperty("description")
    private String description;

    @JsonProperty("property_group")
    private String propertyGroup;

    @JsonProperty("sequence_number")
    private Integer sequenceNumber;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExternalMappingId() {
        return externalMappingId;
    }

    public void setExternalMappingId(String externalMappingId) {
        this.externalMappingId = externalMappingId;
    }

    public Boolean getRequired() {
        return isRequired;
    }

    public void setRequired(Boolean required) {
        isRequired = required;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getCurrentValue() {
        return currentValue;
    }

    public void setCurrentValue(String currentValue) {
        this.currentValue = currentValue;
    }

    public String getDraftValue() {
        return draftValue;
    }

    public void setDraftValue(String draftValue) {
        this.draftValue = draftValue;
    }

    public void setValidationRule(String validationRule) {
        this.validationRule = validationRule;
    }

    public String getValidationRule() {
        return validationRule;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPropertyGroup() {
        return propertyGroup;
    }

    public void setPropertyGroup(String propertyGroup) {
        this.propertyGroup = propertyGroup;
    }

    public Integer getSequenceNumber() {
        return sequenceNumber;
    }

    public void setSequenceNumber(Integer sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }
}
